%global npm_name is-property

Summary:       Tests if a JSON property can be accessed using . syntax
Name:          nodejs-%{npm_name}
Version:       1.0.2
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/mikolalysenko/is-property
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Tests if a property of a JavaScript object can be accessed using 
the dot (.) notation or if it must be enclosed in brackets, 
(ie use x[" ... "])

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr is-property.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc LICENSE README.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Fri Sep 11 2015 Troy Dawson <tdawson@redhat.com> - 1.0.2-1
- Initial package
